import { singleton } from '../decorators/singleton'

export interface CfgInfo {
  time: number
  datas: any[]
}
const MAX_TIME = 5 * 60 * 1000
@singleton
export class GameCfgCache {
  private _cache: Map<[string, string], any> = new Map()

  public getCfg(gameId: string, channel: string) {
    const now = Date.now()
    let info = this._cache.get([gameId, channel])
    if (info && now - info.time >= MAX_TIME) {
      return null
    }
    return info?.datas
  }

  public updateCfg(gameId: string, channel: string, datas: any) {
    let info = { time: Date.now(), datas }
    this._cache.set([gameId, channel], info)
  }
}
