const delayRun = function (max: number, min?: number) {
  min = min || 0
  let milliseconds = ((Math.random() * (max - min) + min) * 1000) | 0
  return new Promise(resolve => setTimeout(resolve, milliseconds))
}
/**
 * 根据参数延迟执行的修饰器
 * @param num  最大延迟n秒
 */
export function delay(num: number) {
  return (target: any, propertyKey: string, descriptor: PropertyDescriptor) => {
    const method = descriptor.value
    descriptor.value = function (...args: any[]) {
      delayRun(num, 0)
        .then(() => {
          return method!.apply(this, args)
        })
        .catch(err => {
          return method!.apply(this, args)
        })
    }
  }
}
