import { BaseModule } from './Base'
import { getModelForClass, modelOptions, prop } from '@typegoose/typegoose'
import { dbconn } from '../decorators/dbconn'

class Platform {
  @prop()
  public platform_id: string
  @prop()
  public name: string
}

class GamePlatform {
  @prop()
  public app_id: string
  @prop()
  public app_secret: string
  @prop()
  public platform: Platform
}
@dbconn('pikachu')
@modelOptions({ schemaOptions: { collection: 'game_info', timestamps: true } })
class GameInfoClass extends BaseModule {
  @prop({ required: true, alias: 'gameName' })
  public game_name: string
  @prop({ alias: 'gameNameEn' })
  public game_name_en: string
  @prop({ alias: 'gameId' })
  public game_id: string
  @prop({ alias: 'gameType' })
  public game_type: string
  @prop({ default: '512*1024', alias: 'gameSize' })
  public game_size: string
  @prop({ alias: 'gameIcon' })
  public game_icon: string
  @prop({ alias: 'appKey' })
  public app_key: string
  @prop({ type: () => [GamePlatform] })
  public platforms: GamePlatform[]
  @prop()
  public deleted: boolean
}

export const GameInfo = getModelForClass(GameInfoClass, { existingConnection: GameInfoClass.db })
